libzypp 17.37.10

zyppng::ProviderConfiguration Class Reference

`#include <zypp-media/ng/private/providemessage_p.h>`

Inheritance diagram for zyppng::ProviderConfiguration:

## Public Member Functions
zyppng::expected< zypp::PluginFrame > | toStompMessage () const

## Static Public Member Functions
static zyppng::expected< ProviderConfiguration > | fromStompMessage (const zypp::PluginFrame &msg)

## Static Public Attributes
static constexpr std::string_view | typeName = "ProviderConfiguration"

## Detailed Description

Definition at line 365 of file providemessage_p.h.

## Member Function Documentation

## ◆ toStompMessage()

zyppng::expected< zypp::PluginFrame > zyppng::ProviderConfiguration::toStompMessage | ( |  | ) | const

Definition at line 19 of file providemessage.cc.

## ◆ fromStompMessage()

zyppng::expected< ProviderConfiguration > zyppng::ProviderConfiguration::fromStompMessage | ( | const zypp::PluginFrame & | msg | ) |
| static

Definition at line 28 of file providemessage.cc.

## Member Data Documentation

## ◆ typeName

std::string_view zyppng::ProviderConfiguration::typeName = "ProviderConfiguration"
| static constexpr

Definition at line 370 of file providemessage_p.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/private/providemessage_p.h
- zypp-media/ng/providemessage.cc